[arch-commits] Commit in python-bottle/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Wed Jan 11 04:33:55 UTC 2017


    Date: Wednesday, January 11, 2017 @ 04:33:54
  Author: felixonmars
Revision: 206739

archrelease: copy trunk to community-any

Added:
  python-bottle/repos/community-any/PKGBUILD
    (from rev 206738, python-bottle/trunk/PKGBUILD)
Deleted:
  python-bottle/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  110 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 55 insertions(+), 55 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-01-11 04:33:36 UTC (rev 206738)
+++ PKGBUILD	2017-01-11 04:33:54 UTC (rev 206739)
@@ -1,55 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Richard Murri <admin at richardmurri.com>
-# Contributor: Farhad Shahbazi <farhad at enthusiasm.cc>
-# Contributor: Felix Kaiser <felix.kaiser at fxkr.net>
-
-pkgbase=python-bottle
-pkgname=("python-bottle" "python2-bottle")
-pkgver=0.12.12
-pkgrel=1
-pkgdesc="A fast and simple micro-framework for small web-applications"
-arch=(any)
-url="http://bottlepy.org"
-license=('MIT')
-options=(!emptydirs)
-makedepends=('python-setuptools' 'python2-setuptools' 'git')
-checkdepends=('python-mako' 'python2-mako' 'python-jinja' 'python2-jinja' 'python-cherrypy'
-              'python2-cherrypy' 'python-twisted' 'python2-twisted' 'python-tornado'
-              'python2-tornado' 'python-paste' 'python2-paste' 'python-gevent' 'python2-gevent'
-              'python-eventlet' 'python2-eventlet')
-source=("git+https://github.com/defnull/bottle.git#tag=${pkgver}")
-sha512sums=('SKIP')
-
-prepare() {
-  cp -a bottle{,-py2}
-  sed -i "1s/python/python2/" bottle-py2/bottle.py
-}
-
-check() {
-  cd "$srcdir/"bottle
-  # https://github.com/bottlepy/bottle/issues/791
-  python test/testall.py || warning 'Tests failed'
-
-  cd "$srcdir/"bottle-py2
-  python2 test/testall.py
-}
-
-package_python-bottle() {
-  depends=('python')
-
-  cd bottle
-  python setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python2-bottle() {
-  depends=('python2')
-
-  cd bottle-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-
-  # deal with conflict with python-bottle's /usr/bin/bottle.py
-  mv "$pkgdir"/usr/bin/bottle.py{,2}
-}

Copied: python-bottle/repos/community-any/PKGBUILD (from rev 206738, python-bottle/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-01-11 04:33:54 UTC (rev 206739)
@@ -0,0 +1,55 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Richard Murri <admin at richardmurri.com>
+# Contributor: Farhad Shahbazi <farhad at enthusiasm.cc>
+# Contributor: Felix Kaiser <felix.kaiser at fxkr.net>
+
+pkgbase=python-bottle
+pkgname=("python-bottle" "python2-bottle")
+pkgver=0.12.13
+pkgrel=1
+pkgdesc="A fast and simple micro-framework for small web-applications"
+arch=(any)
+url="http://bottlepy.org"
+license=('MIT')
+options=(!emptydirs)
+makedepends=('python-setuptools' 'python2-setuptools' 'git')
+checkdepends=('python-mako' 'python2-mako' 'python-jinja' 'python2-jinja' 'python-cherrypy'
+              'python2-cherrypy' 'python-twisted' 'python2-twisted' 'python-tornado'
+              'python2-tornado' 'python-paste' 'python2-paste' 'python-gevent' 'python2-gevent'
+              'python-eventlet' 'python2-eventlet')
+source=("git+https://github.com/defnull/bottle.git#tag=${pkgver}")
+sha512sums=('SKIP')
+
+prepare() {
+  cp -a bottle{,-py2}
+  sed -i "1s/python/python2/" bottle-py2/bottle.py
+}
+
+check() {
+  cd "$srcdir/"bottle
+  # https://github.com/bottlepy/bottle/issues/791
+  python test/testall.py || warning 'Tests failed'
+
+  cd "$srcdir/"bottle-py2
+  python2 test/testall.py
+}
+
+package_python-bottle() {
+  depends=('python')
+
+  cd bottle
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-bottle() {
+  depends=('python2')
+
+  cd bottle-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+  # deal with conflict with python-bottle's /usr/bin/bottle.py
+  mv "$pkgdir"/usr/bin/bottle.py{,2}
+}



More information about the arch-commits mailing list